precision mediump float;

varying vec2 aCoord;

uniform sampler2D vTexture;
uniform float u_offset;
uniform vec2 texSize;
uniform int shape;//0是矩形, 1是圆形

void main(){
    if(shape == 0) {
        gl_FragColor = texture2D(vTexture,aCoord);
    } else {
        //vec2 texSize = vec2(540.0, 540.0);
        vec2 imgTex = aCoord * texSize;//将纹理坐标系转换为图片坐标系
        float r = (u_offset + 0.47399) * texSize.x;
        if(distance(imgTex, vec2(texSize.x / 2.0, texSize.y / 2.0)) < r) {
            vec4 deltaColor = texture2D(vTexture,aCoord);
            gl_FragColor = vec4(deltaColor.r, deltaColor.g, deltaColor.b, 1.0);
        } else {
            gl_FragColor = vec4(0.0, 0.0, 0.0, 0.0);
        }
    }
//    vec4 rgba = texture2D(vTexture,aCoord);
//    gl_FragColor = vec4((rgba.r*0.3+rgba.g *0.59+rgba.b*0.11),(rgba.r*0.3+rgba.g *0.59+rgba.b*0.11),(rgba.r*0.3+rgba.g *0.59+rgba.b*0.11),rgba.a);
}